Package org.apache.commons.lang3.reflect

## Interface Typed<T>

Type Parameters:
  `T` - the type

All Known Implementing Classes:
  `TypeLiteral`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface Typed<T>

Generalization of "has a type."

Since:
  3.2
See Also:
  `TypeLiteral`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.reflect.Type` `getType()` Gets the `Type` represented by this entity.

### Method Detail

#### getType

    java.lang.reflect.Type getType()

Gets the `Type` represented by this entity.

Returns:
  Type